package com.wechat.model.dbEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName: BaseEntity
 * @Description: 公共实体对象
 */
public class BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;
    
    private Integer versionNo;
    
    private String remarks;
    
    private String createBy;
    
    private Integer delFlag;

	private Date createDate;

    private String updateBy;

    private Date updateDate;
    
    /**
	 * 插入之前执行方法，需要手动调用
	 */
	public void preInsert(String userCode){
		this.updateBy = userCode;
		this.createBy = userCode;
		this.updateDate = new Date();
		this.createDate = this.updateDate;
	}
	
	public void preUpdate(String userCode){
		this.updateBy = userCode;
		this.updateDate = new Date();
	}

    public Integer getVersionNo() {
		return versionNo;
	}

	public void setVersionNo(Integer versionNo) {
		this.versionNo = versionNo;
	}

	
	public String getRemarks() {
		return remarks;
	}

	public Integer getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Integer delFlag) {
		this.delFlag = delFlag;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public String getCreateBy() {
		return createBy;
	}

	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}

	public String getUpdateBy() {
		return updateBy;
	}

	public void setUpdateBy(String updateBy) {
		this.updateBy = updateBy;
	}

	public Date getUpdateDate() {
		return updateDate;
	}

	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}

}
